/* GLSL_multilight: different methods to display multiple lights, using plain GL, GLSL shaders or deferred shading
   Copyright (C) 2008 Angelo "Encelo" Theodorou
*/

typedef struct Light {
	GLfloat position[4];
	GLfloat ambient[4];
	GLfloat diffuse[4];
	GLfloat specular[4];
} Light;


int FrameTiming(void);
void printObjectInfoLog(GLuint obj);
void SetLight(Light *light, GLint gl_light);
void DrawLight(Light *light, GLfloat size);
void DrawCube(int open);
