varying vec4 ambientGlobal, ambient, diffuse;
varying vec3 normal, ecPos;

void main(void)
{
	normal = gl_NormalMatrix * gl_Normal;
	ecPos = vec3(gl_ModelViewMatrix * gl_Vertex);

	ambientGlobal = gl_LightModel.ambient * gl_FrontMaterial.ambient;

    ambient = gl_FrontMaterial.ambient * gl_LightSource[0].ambient;
	diffuse = gl_FrontMaterial.diffuse * gl_LightSource[0].diffuse;

	gl_Position = ftransform();
	gl_TexCoord[0] = gl_MultiTexCoord0;
}
